> For AI agents: the documentation index is at https://docs.gethandup.dev/llms.txt. Append .md to any page URL (without the trailing slash) for Markdown, for example https://docs.gethandup.dev/cli.md.

# push_register

`PUT /v1/devices/self/push`

Remote listener and relay tunnel only. Requires a paired device bearer token with either view or decide scope.

## Request Body required

Media type: `application/json`

`object`

- **platform** (required): `string`
- **token** (required): `string`
- **ticket**: `string | null`

## Responses

### 200

Registered

### 400

Invalid registration

### 401

Device token required

### 403

Device revoked
